#### Beyond Linux® From Scratch (systemd Edition) - Version r13.0-491

### Chapter 33. GNOME Libraries and Desktop

- Prev

  Tecla-50.0

- Next

  Mutter-50.1

- Up
- Home

# gnome-control-center-50.1

## Introduction to GNOME Control Center

The GNOME Control Center package contains the GNOME settings manager.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Package Information

- Download (HTTP): https://download.gnome.org/sources/gnome-control-center/50/gnome-control-center-50.1.tar.xz

- Download MD5 sum: dd425bdbab61b908e1e1830d38e75e10

- Download size: 6.8 MB

- Estimated disk space required: 113 MB (with tests)

- Estimated build time: 0.7 SBU (Using parallelism=4; with tests)

### GNOME Control Center Dependencies

#### Required

AccountsService-23.13.9, blueprint-compiler-0.20.4, colord-gtk-0.3.1, Cups-2.4.19, gnome-bluetooth-47.2, gnome-online-accounts-3.58.1, gnome-settings-daemon-50.1, gsound-1.0.3, libadwaita-1.9.0, libgtop-2.41.3, libnma-1.10.6, libpwquality-1.4.5, MIT Kerberos V5-1.22.2, ModemManager-1.24.2, Samba-4.24.0, shared-mime-info-2.4, Tecla-50.0, and UDisks-2.11.1

#### Recommended

ibus-1.5.34

#### Optional

Xvfb (from Xorg-Server-21.1.22 or Xwayland-24.1.11) and dbusmock-0.38.1 (both for tests)

#### Optional Runtime Dependencies

cups-pk-helper-0.2.7 (Printers panel), gnome-color-manager-3.36.2 (Color panel), gnome-shell-50.1 (Applications panel), and sound-theme-freedesktop-0.8 (Additional Sound Effects in Sound panel)

### Note

Recommended dependencies are not strictly required for this package to build and function, but you may not get expected results at runtime if you don't install them.

## Installation of GNOME Control Center

Install GNOME Control Center by running the following commands:

    mkdir build &&
    cd    build &&

    meson setup --prefix=/usr --buildtype=release .. &&
    ninja

To test the results, issue: GTK_A11Y=none ninja test. Note that you must have the python-dbusmock module installed in order for the tests to complete successfully.

Now, as the `root` user:

    ninja install

## Command Explanations

`--buildtype=release`: Specify a buildtype suitable for stable releases of the package, as the default may produce unoptimized binaries.

`-D ibus=false`: Use this switch if you have not installed the recommended IBus dependency.

`-D x11=true`: Use this switch to enable support for X11. Note that this is deprecated by upstream and will be removed in GNOME 50.

## Contents

Installed Programs: gnome-control-center
Installed Libraries: None
Installed Directories: /usr/share/gnome-control-center, /usr/share/pixmaps/faces, and /usr/share/sounds/gnome

### Short Descriptions

gnome-control-center | is a graphical user interface used to configure various aspects of GNOME

- Prev

  Tecla-50.0

- Next

  Mutter-50.1

- Up
- Home